# Docker Installer v3 für Ubuntu-Systeme

## Beschreibung

Das Skript "docker-installer-v3.sh" ermöglicht die Installation von Docker und Docker-Compose auf einem Ubuntu-System. Es richtet auch das Docker-Plugin für Oh My ZSH ein, um Docker-Befehle direkt in der ZSH-Shell verwenden zu können.

## Voraussetzungen

Stellen Sie sicher, dass Sie über eine Verbindung zum Internet verfügen und dass Sie als Benutzer mit sudo-Berechtigungen angemeldet sind, da das Skript administrative Berechtigungen benötigt, um Docker zu installieren.

## Verwendung

Führen Sie das Skript mit dem folgenden Befehl in einem Terminal aus:

```bash
bash ./docker-installer.v3.sh
```
## Schritte des Skripts

1. **Variablen setzen:** Das Skript setzt die Variable `USER` auf den Wert "root". Sie können diesen Wert ändern, wenn Sie Docker für einen anderen Benutzer installieren möchten.

2. **Docker installieren:** Das Skript aktualisiert zunächst das System und installiert die erforderlichen Abhängigkeiten für die Docker-Installation. Anschließend wird der Docker-Schlüssel heruntergeladen und importiert, und die Docker-Repository-URL wird zur Paketquelle hinzugefügt. Nach einer weiteren Aktualisierung der Paketliste wird Docker installiert und der Docker-Dienst gestartet. Schließlich wird der aktuelle Benutzer der "docker"-Gruppe hinzugefügt, um Docker ohne sudo-Berechtigungen ausführen zu können.

3. **Docker-Compose installieren:** Das Skript installiert den Docker-Compose-Befehl, indem es die neueste Version von GitHub herunterlädt und in das Verzeichnis "/usr/local/bin" kopiert. Es gibt dem Befehl die Ausführungsberechtigung.

4. **Optionel: Ordner und Oh My ZSH Plugin einrichten:** Das Skript erstellt einen Ordner namens "docker" im Root-Verzeichnis ("/"), um Docker-Konfigurationsdateien zu speichern. Es erstellt eine leere "docker-compose.yaml"-Datei in diesem Ordner. Dann wird das Docker-Plugin für Oh My ZSH eingerichtet, indem die "plugins"-Zeile in der ZSH-Konfigurationsdatei ("/root/.zshrc") angepasst wird.

5. **Überprüfen der Installation:** Das Skript überprüft, ob die Installation erfolgreich war, indem es die Versionen von Docker und Docker-Compose ausgibt.